Debian Bug report logs - #514055
test debian-Lenny-DI-rc2-powerpc-netinst

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: Geoff Levand <geoffrey.levand@am.sony.com>

Date: Tue, 3 Feb 2009 19:54:01 UTC

Severity: normal

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Tue, 03 Feb 2009 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 03 Feb 2009 19:54:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: submit@bugs.debian.org
Cc: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
Subject: test debian-Lenny-DI-rc2-powerpc-netinst
Date: Tue, 3 Feb 2009 11:50:53 -0800
Package: installation-reports

X-Debbugs-CC: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/lenny_di_rc2/powerpc/iso-cd/debian-Lenny-DI-rc2-powerpc-netinst.iso
Date: Thu Jan 15 14:31:51 2009

Machine: PS3 game console (A model)
Processor: Cell (powerpc64)

Output of lspci -knn (or lspci -nn): No PCI bus.

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E] No ps3_gelic driver
Configure network:      [ ]
Detect CD:              [E] No ps3rom driver
Load installer modules: [ ]
Detect hard drives:     [E] No ps3disk driver
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

* Seems just the hard drive, CD-ROM and network drivers are missing from the install initrd.
* System boots OK with 'install64' menu item.
* System boots OK with 'install64' menu item with added 'video=720p' to kernel command line.
* Once booted, 'reboot' command from shell works as expected, so kernel seems to be working OK.

<Description of the install, in prose, and any thoughts, comments
      and ideas you had during the initial install.>









Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 26 Feb 2009 17:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 26 Feb 2009 17:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: debian still not working on PS3
Date: Thu, 26 Feb 2009 09:43:55 -0800
Hi,

I just tried the latest testing CD (2000.02.12), and it still
fails with the same problem I reported for Lenny DI RC2.  The
installer fails on mounting the CD-ROM.

The PS3 ps3_gelic network and PS3 ps3rom and ps3disk storage
drivers are missing from the installer's initrd.

I entered a bug report that went unanswered here:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=514055

-Geoff






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 27 Feb 2009 18:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 27 Feb 2009 18:54:02 GMT) Full text and rfc822 format available.

Message #15 received at 514055@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Geoff Levand <geoffrey.levand@am.sony.com>, 514055@bugs.debian.org
Cc: cbe-oss-dev@ozlabs.org, Wouter Verhelst <wouter@debian.org>
Subject: Re: Bug#514055: debian still not working on PS3
Date: Fri, 27 Feb 2009 19:53:33 +0100
* Geoff Levand <geoffrey.levand@am.sony.com> [2009-02-26 09:43]:
> I just tried the latest testing CD (2000.02.12), and it still
> fails with the same problem I reported for Lenny DI RC2.  The
> installer fails on mounting the CD-ROM.
> 
> The PS3 ps3_gelic network and PS3 ps3rom and ps3disk storage
> drivers are missing from the installer's initrd.
> 
> I entered a bug report that went unanswered here:

The short answer is that there isn't really an active powerpc porter
working on the installer.  That's why your bug report is unanswered.
I'm copying Wouter Verhelst who indicated some interest in helping
with the powerpc port.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Mon, 02 Mar 2009 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 02 Mar 2009 11:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 514055@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Mon, 2 Mar 2009 12:34:33 +0100
On Fri, Feb 27, 2009 at 07:53:33PM +0100, Martin Michlmayr wrote:
> * Geoff Levand <geoffrey.levand@am.sony.com> [2009-02-26 09:43]:
> > I just tried the latest testing CD (2000.02.12), and it still
> > fails with the same problem I reported for Lenny DI RC2.  The
> > installer fails on mounting the CD-ROM.
> > 
> > The PS3 ps3_gelic network and PS3 ps3rom and ps3disk storage
> > drivers are missing from the installer's initrd.
> > 
> > I entered a bug report that went unanswered here:
> 
> The short answer is that there isn't really an active powerpc porter
> working on the installer.  That's why your bug report is unanswered.
> I'm copying Wouter Verhelst who indicated some interest in helping
> with the powerpc port.

Martin is currently working to get me a PegasosII which will be used to
build the powerpc dailies. When I get it, however, I will also use it to
fix the installer for the PegasosII platform, which does not currently
work because it creates partitions with a too large blocksize or some
such (I don't know the details offhand). When I'm working on this, I
could as well look at doing PS3 support at the same time.

I don't currently own a PS3, however, and while I do plan to eventually
acquire one, I'm going to have to do this blind; so while I'm working on
this, I might have to ask you to test my images from time to time.

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Mon, 02 Mar 2009 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 02 Mar 2009 12:03:02 GMT) Full text and rfc822 format available.

Message #25 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org, Wouter Verhelst <wouter@debian.org>
Subject: Re: Bug#514055: debian still not working on PS3
Date: Mon, 2 Mar 2009 15:00:37 +0300
On Fri, Feb 27, 2009 at 07:53:33PM +0100, Martin Michlmayr wrote:
> > The PS3 ps3_gelic network and PS3 ps3rom and ps3disk storage
> > drivers are missing from the installer's initrd.
> > 
> > I entered a bug report that went unanswered here:
> 
> The short answer is that there isn't really an active powerpc porter
> working on the installer.  That's why your bug report is unanswered.
> I'm copying Wouter Verhelst who indicated some interest in helping
> with the powerpc port.

I own a lot of PPC/Cell hardware, including a couple of PS3's.
I'll have a look on the issue.

-- 
Regards, Vartan.
"Be different: conform."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Mon, 02 Mar 2009 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 02 Mar 2009 17:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wouter Verhelst <wouter@debian.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Mon, 2 Mar 2009 09:20:51 -0800
On 03/02/2009 03:34 AM, Wouter Verhelst wrote:
> On Fri, Feb 27, 2009 at 07:53:33PM +0100, Martin Michlmayr wrote:
>> * Geoff Levand <geoffrey.levand@am.sony.com> [2009-02-26 09:43]:
>> > I just tried the latest testing CD (2000.02.12), and it still
>> > fails with the same problem I reported for Lenny DI RC2.  The
>> > installer fails on mounting the CD-ROM.
>> > 
>> > The PS3 ps3_gelic network and PS3 ps3rom and ps3disk storage
>> > drivers are missing from the installer's initrd.
>> > 
>> > I entered a bug report that went unanswered here:
>> 
>> The short answer is that there isn't really an active powerpc porter
>> working on the installer.  That's why your bug report is unanswered.
>> I'm copying Wouter Verhelst who indicated some interest in helping
>> with the powerpc port.
> 
> Martin is currently working to get me a PegasosII which will be used to
> build the powerpc dailies. When I get it, however, I will also use it to
> fix the installer for the PegasosII platform, which does not currently
> work because it creates partitions with a too large blocksize or some
> such (I don't know the details offhand). When I'm working on this, I
> could as well look at doing PS3 support at the same time.
> 
> I don't currently own a PS3, however, and while I do plan to eventually
> acquire one, I'm going to have to do this blind; so while I'm working on
> this, I might have to ask you to test my images from time to time.

OK, thank you for the support.  I can test the images.  Please put a
image somewhere, and then let me know.

I'm hoping there isn't much to do other that get the proper drivers
into DI's initrd.

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Tue, 03 Mar 2009 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 03 Mar 2009 06:54:04 GMT) Full text and rfc822 format available.

Message #35 received at 514055@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: cbe-oss-dev@ozlabs.org
Cc: 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Wouter Verhelst <wouter@debian.org>
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Tue, 3 Mar 2009 07:51:09 +0100
[Message part 1 (text/plain, inline)]
hi wouter, martin, geoff,

On Tue, Mar 03, 2009 at 12:00:04PM +1100, cbe-oss-dev-request@ozlabs.org wrote:
> From: Wouter Verhelst <wouter@debian.org>
> I don't currently own a PS3, however, and while I do plan to eventually
> acquire one, I'm going to have to do this blind; so while I'm working on
> this, I might have to ask you to test my images from time to time.

i'm also available to test images etc, please let me know if i can help.

> On 03/02/2009 03:34 AM, Wouter Verhelst wrote:
> OK, thank you for the support.  I can test the images.  Please put a
> image somewhere, and then let me know.
> 
> I'm hoping there isn't much to do other that get the proper drivers
> into DI's initrd.

while the drivers are the only major problem, it might also be nice
to put in a hook to add the ps3-utils package when installing the ps3.

later on it would also be nice to get something like kboot (or better, 
petitboot) packaged and integrated into the installer.  however, this
is currently problematic because of all the embedded copies of source
code in that project.


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 20 Mar 2009 21:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 20 Mar 2009 21:24:03 GMT) Full text and rfc822 format available.

Message #40 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@altlinux.org>
To: Geoff Levand <geoffrey.levand@am.sony.com>
Cc: Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org, Wouter Verhelst <wouter@debian.org>
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sat, 21 Mar 2009 00:21:37 +0300
On Mon, Mar 02, 2009 at 03:00:37PM +0300, Wartan Hachaturow wrote:
> > The short answer is that there isn't really an active powerpc porter
> > working on the installer.  That's why your bug report is unanswered.
> > I'm copying Wouter Verhelst who indicated some interest in helping
> > with the powerpc port.
> 
> I own a lot of PPC/Cell hardware, including a couple of PS3's.
> I'll have a look on the issue.

Geoff, could you please test this image:
http://people.debian.org/~wart/ps3/mini.iso

(WFM, at least)

-- 
Regards, Vartan.
"Be different: conform."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 20 Mar 2009 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 20 Mar 2009 23:45:04 GMT) Full text and rfc822 format available.

Message #45 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wartan Hachaturow <wart@altlinux.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org, Wouter Verhelst <wouter@debian.org>
Subject: Re: Bug#514055: debian still not working on PS3
Date: Fri, 20 Mar 2009 16:40:51 -0700
On 03/20/2009 02:21 PM, Wartan Hachaturow wrote:
> On Mon, Mar 02, 2009 at 03:00:37PM +0300, Wartan Hachaturow wrote:
>> > The short answer is that there isn't really an active powerpc porter
>> > working on the installer.  That's why your bug report is unanswered.
>> > I'm copying Wouter Verhelst who indicated some interest in helping
>> > with the powerpc port.
>> 
>> I own a lot of PPC/Cell hardware, including a couple of PS3's.
>> I'll have a look on the issue.
> 
> Geoff, could you please test this image:
> http://people.debian.org/~wart/ps3/mini.iso

I tested this image and could do a complete install using
Ethernet with the resulting notes below.  I did not try
to install over wireless.

1) At boot there were some kernel I/O errors about /dev/sr0.

2) During the HD setup I had some warning dialogs.  One about
HPFS, and one about a PREP partition.  I answered 'No' to both
and continued.

3) I got a warning 'No installable kernel was found in the
defined APT sources'.  I answered 'Yes' (no install) and
continued.

4) I needed to manually select to not install a bootloader.
No yaboot.conf was installed, so I needed to create one manually.

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sat, 21 Mar 2009 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 21 Mar 2009 17:39:06 GMT) Full text and rfc822 format available.

Message #50 received at 514055@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Geoff Levand <geoffrey.levand@am.sony.com>
Cc: Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sat, 21 Mar 2009 18:38:20 +0100
On Fri, Mar 20, 2009 at 04:40:51PM -0700, Geoff Levand wrote:
> On 03/20/2009 02:21 PM, Wartan Hachaturow wrote:
> > On Mon, Mar 02, 2009 at 03:00:37PM +0300, Wartan Hachaturow wrote:
> >> > The short answer is that there isn't really an active powerpc porter
> >> > working on the installer.  That's why your bug report is unanswered.
> >> > I'm copying Wouter Verhelst who indicated some interest in helping
> >> > with the powerpc port.
> >> 
> >> I own a lot of PPC/Cell hardware, including a couple of PS3's.
> >> I'll have a look on the issue.
> > 
> > Geoff, could you please test this image:
> > http://people.debian.org/~wart/ps3/mini.iso
> 
> I tested this image and could do a complete install using
> Ethernet with the resulting notes below.  I did not try
> to install over wireless.
> 
> 1) At boot there were some kernel I/O errors about /dev/sr0.

That is the BD drive. Did you have a disc in the drive at that point?
If so, what kind of disc?

> 2) During the HD setup I had some warning dialogs.  One about
> HPFS, and one about a PREP partition.  I answered 'No' to both
> and continued.
> 
> 3) I got a warning 'No installable kernel was found in the
> defined APT sources'.  I answered 'Yes' (no install) and
> continued.

The correct installer is chosen based on a set of rules for the
subsystem. I'm assuming that there's no rule for PS3 here. Similar
things are true for the partitioner.

> 4) I needed to manually select to not install a bootloader.
> No yaboot.conf was installed, so I needed to create one manually.

Hrm. Does the PS3 boot with yaboot? If so, you should have been able to
select yaboot, and have it be installed to the system. That should also
have created your yaboot.conf.

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 22 Mar 2009 06:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 22 Mar 2009 06:09:02 GMT) Full text and rfc822 format available.

Message #55 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@altlinux.org>
To: Wouter Verhelst <w@uter.be>
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 09:05:44 +0300
On Sat, Mar 21, 2009 at 06:38:20PM +0100, Wouter Verhelst wrote:

> The correct installer is chosen based on a set of rules for the
> subsystem. I'm assuming that there's no rule for PS3 here. Similar
> things are true for the partitioner.

Nope, there isn't.

> Hrm. Does the PS3 boot with yaboot? If so, you should have been able to
> select yaboot, and have it be installed to the system. That should also
> have created your yaboot.conf.

PS3 is booted with kboot, which is able to interpret yaboot.conf. Thus, the
correct behaviour on that platform would be to create yaboot.conf, but without
bootloader installation itself :) (as Debian does not have kboot, and I presume
hardly ever will).

I'll continue working on this stuff, this was just a test image to make sure
kernel modules were loaded fine.

-- 
Regards, Vartan.
"Be different: conform."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 22 Mar 2009 17:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 22 Mar 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #60 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wartan Hachaturow <wart@altlinux.org>
Cc: Wouter Verhelst <w@uter.be>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 10:49:33 -0700
On 03/21/2009 11:05 PM, Wartan Hachaturow wrote:
> PS3 is booted with kboot, which is able to interpret yaboot.conf. Thus, the
> correct behaviour on that platform would be to create yaboot.conf, but without
> bootloader installation itself :) (as Debian does not have kboot, and I presume
> hardly ever will).

Just FYI, use of kboot is now depreciated.  Only petitboot will be maintained.

> I'll continue working on this stuff, this was just a test image to make sure
> kernel modules were loaded fine.

Thanks for your efforts.

-Geoff







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 22 Mar 2009 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 22 Mar 2009 17:54:04 GMT) Full text and rfc822 format available.

Message #65 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wouter Verhelst <w@uter.be>
Cc: Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 10:45:25 -0700
On 03/21/2009 10:38 AM, Wouter Verhelst wrote:
> On Fri, Mar 20, 2009 at 04:40:51PM -0700, Geoff Levand wrote:
>> On 03/20/2009 02:21 PM, Wartan Hachaturow wrote:
>> > On Mon, Mar 02, 2009 at 03:00:37PM +0300, Wartan Hachaturow wrote:
>> >> > The short answer is that there isn't really an active powerpc porter
>> >> > working on the installer.  That's why your bug report is unanswered.
>> >> > I'm copying Wouter Verhelst who indicated some interest in helping
>> >> > with the powerpc port.
>> >> 
>> >> I own a lot of PPC/Cell hardware, including a couple of PS3's.
>> >> I'll have a look on the issue.
>> > 
>> > Geoff, could you please test this image:
>> > http://people.debian.org/~wart/ps3/mini.iso
>> 
>> I tested this image and could do a complete install using
>> Ethernet with the resulting notes below.  I did not try
>> to install over wireless.
>> 
>> 1) At boot there were some kernel I/O errors about /dev/sr0.
> 
> That is the BD drive. Did you have a disc in the drive at that point?
> If so, what kind of disc?

The mini.iso installer, a CD-ROM.

>> 2) During the HD setup I had some warning dialogs.  One about
>> HPFS, and one about a PREP partition.  I answered 'No' to both
>> and continued.
>> 
>> 3) I got a warning 'No installable kernel was found in the
>> defined APT sources'.  I answered 'Yes' (no install) and
>> continued.
> 
> The correct installer is chosen based on a set of rules for the
> subsystem. I'm assuming that there's no rule for PS3 here. Similar
> things are true for the partitioner.

Afterward I could install the debian 2.6.26 kernel using apt-get,
and then a manual entry in yaboot.conf.  It booted and worked OK,
so it seems we just need a slight change here to get it installed.

>> 4) I needed to manually select to not install a bootloader.
>> No yaboot.conf was installed, so I needed to create one manually.
> 
> Hrm. Does the PS3 boot with yaboot? If so, you should have been able to
> select yaboot, and have it be installed to the system. That should also
> have created your yaboot.conf.

PS3 uses petitboot (http://ozlabs.org/~jk/projects/petitboot/).
It is a kexec based bootloader which can read kboot.conf and
yaboot.conf files.

Due to the way the PS3 boots, the user must install a bootloader
to flash memory before they can load a distro's installer.

I'll try the yaboot install and see what happens.  Is it possible
to arrange for the installer to just create the yaboot.conf
without installing yaboot?

-Geoff







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 22 Mar 2009 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 22 Mar 2009 19:30:02 GMT) Full text and rfc822 format available.

Message #70 received at 514055@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Wartan Hachaturow <wart@altlinux.org>
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 20:25:38 +0100
On Sun, Mar 22, 2009 at 09:05:44AM +0300, Wartan Hachaturow wrote:
> On Sat, Mar 21, 2009 at 06:38:20PM +0100, Wouter Verhelst wrote:
> > The correct installer is chosen based on a set of rules for the
                 ^^^^
Obviously I meant to say 'kernel' here :-)

> > subsystem. I'm assuming that there's no rule for PS3 here. Similar
> > things are true for the partitioner.
> 
> Nope, there isn't.

Right.

> > Hrm. Does the PS3 boot with yaboot? If so, you should have been able to
> > select yaboot, and have it be installed to the system. That should also
> > have created your yaboot.conf.
> 
> PS3 is booted with kboot, which is able to interpret yaboot.conf. Thus, the
> correct behaviour on that platform would be to create yaboot.conf, but
> without bootloader installation itself :)

I see.

> (as Debian does not have kboot, and I presume hardly ever will).

Why not? Non-free? Not distributable?

> I'll continue working on this stuff, this was just a test image to make sure
> kernel modules were loaded fine.

OK.

If you have patches, I can help you get them into d-i proper.

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 22 Mar 2009 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 22 Mar 2009 19:45:02 GMT) Full text and rfc822 format available.

Message #75 received at 514055@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Geoff Levand <geoffrey.levand@am.sony.com>
Cc: Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 20:44:06 +0100
On Sun, Mar 22, 2009 at 10:45:25AM -0700, Geoff Levand wrote:
> On 03/21/2009 10:38 AM, Wouter Verhelst wrote:
> > That is the BD drive. Did you have a disc in the drive at that point?
> > If so, what kind of disc?
> 
> The mini.iso installer, a CD-ROM.

The fact that you were successful makes me doubt it's a serious problem,
but it warrants investigating.

The installer should store some logs on your hard disk, under
/var/log/installer. Could you send me those files? Note that it may
contain some private information, such as your root password, and a list
of the packages you've got installed.

[...]
> >> 4) I needed to manually select to not install a bootloader.
> >> No yaboot.conf was installed, so I needed to create one manually.
> > 
> > Hrm. Does the PS3 boot with yaboot? If so, you should have been able to
> > select yaboot, and have it be installed to the system. That should also
> > have created your yaboot.conf.
> 
> PS3 uses petitboot (http://ozlabs.org/~jk/projects/petitboot/).
> It is a kexec based bootloader which can read kboot.conf and
> yaboot.conf files.
> 
> Due to the way the PS3 boots, the user must install a bootloader
> to flash memory before they can load a distro's installer.
> 
> I'll try the yaboot install and see what happens.  Is it possible
> to arrange for the installer to just create the yaboot.conf
> without installing yaboot?

No, that won't work. I simply wasn't aware of the particular way in
which the PS3 is booted.

I see that petitboot is free software. In that case, we should be able
to at least put it on the CD images.

Is it possible to install or update the flash booter from Linux, or can
one only do that from the PS3 builtin operating system?

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 22 Mar 2009 20:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 22 Mar 2009 20:51:02 GMT) Full text and rfc822 format available.

Message #80 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@altlinux.org>
To: Wouter Verhelst <w@uter.be>, 514055@bugs.debian.org
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 23:46:39 +0300
On Sun, Mar 22, 2009 at 10:25 PM, Wouter Verhelst <w@uter.be> wrote:
>> (as Debian does not have kboot, and I presume hardly ever will).
>
> Why not? Non-free? Not distributable?

Because ftp-masters wouldn't allow it :)

It is basically a small OpenWRT-based system, and its building process
includes bootstrapping a toolchain and building included/downloaded
busybox/kernel/etc. -- which makes it a nightmare for QA. Of course,
it should be possible to patch the build system to use system
toolchain, Debian's kernel sources (I'm not sure kexec is tested by
our kernel-team) and Debian's busybox, but this seems to be lots of
work, with the resulting patchset needed to be maintained separately.
Ubuntu chose to ignore these problems and package kboot as is. But
that's Ubuntu, they probably do not care :))

>
>> I'll continue working on this stuff, this was just a test image to make sure
>> kernel modules were loaded fine.
> If you have patches, I can help you get them into d-i proper.

Well, I've got commit rights in d-i's svn ;)

-- 
Regards, Wartan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Mon, 23 Mar 2009 02:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 23 Mar 2009 02:09:02 GMT) Full text and rfc822 format available.

Message #85 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wouter Verhelst <w@uter.be>
Cc: Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Sun, 22 Mar 2009 19:07:42 -0700
On 03/22/2009 12:44 PM, Wouter Verhelst wrote:
> On Sun, Mar 22, 2009 at 10:45:25AM -0700, Geoff Levand wrote:
>> On 03/21/2009 10:38 AM, Wouter Verhelst wrote:
>> > That is the BD drive. Did you have a disc in the drive at that point?
>> > If so, what kind of disc?
>> 
>> The mini.iso installer, a CD-ROM.
> 
> The fact that you were successful makes me doubt it's a serious problem,
> but it warrants investigating.
> 
> The installer should store some logs on your hard disk, under
> /var/log/installer. Could you send me those files? Note that it may
> contain some private information, such as your root password, and a list
> of the packages you've got installed.

I'll send you that tomorrow.

>> PS3 uses petitboot (http://ozlabs.org/~jk/projects/petitboot/).
>> It is a kexec based bootloader which can read kboot.conf and
>> yaboot.conf files.
>> 
>> Due to the way the PS3 boots, the user must install a bootloader
>> to flash memory before they can load a distro's installer.
>> 
>> I'll try the yaboot install and see what happens.  Is it possible
>> to arrange for the installer to just create the yaboot.conf
>> without installing yaboot?
> 
> No, that won't work. I simply wasn't aware of the particular way in
> which the PS3 is booted.
> 
> I see that petitboot is free software. In that case, we should be able
> to at least put it on the CD images.

Yes, but as Wartan mentioned, it is not so practical for distros to
build it from sources.

Just FYI, I put binary releases of petitboot here:

  http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-petitboot/

> Is it possible to install or update the flash booter from Linux, or can
> one only do that from the PS3 builtin operating system?

It can be done from either.  From Linux, it is done with ps3-flash-util
from the ps3-utils package (http://packages.debian.org/squeeze/ps3-utils).

Command is 'ps3-flash-util -w image'.

-Geoff






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Mon, 23 Mar 2009 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 23 Mar 2009 20:42:03 GMT) Full text and rfc822 format available.

Message #90 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wouter Verhelst <w@uter.be>, Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
Cc: Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Mon, 23 Mar 2009 13:37:38 -0700
On 03/22/2009 10:45 AM, Geoff Levand wrote:
> On 03/21/2009 10:38 AM, Wouter Verhelst wrote:
>> On Fri, Mar 20, 2009 at 04:40:51PM -0700, Geoff Levand wrote:
>>> 1) At boot there were some kernel I/O errors about /dev/sr0.
>> 
>> That is the BD drive. Did you have a disc in the drive at that point?
>> If so, what kind of disc?
> 
> The mini.iso installer, a CD-ROM.

Here are the messages.

Geert, any idea about them?

Mar 20 21:57:32 kernel: [    5.399309] Driver 'sr' needs updating - please use bus_type methods
Mar 20 21:57:32 kernel: [    5.426872] sr0: scsi3-mmc drive: 0x/0x cd/rw xa/form2 cdda tray
Mar 20 21:57:32 kernel: [    5.433191] Uniform CD-ROM driver Revision: 3.20
Mar 20 21:57:32 kernel: [    5.433678] sr 0:0:0:0: Attached scsi CD-ROM sr0
Mar 20 21:57:32 kernel: [    5.457911] sr 0:0:0:0: Attached scsi generic sg0 type 5
...
Mar 20 21:57:32 kernel: [    7.704702] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
Mar 20 21:57:32 kernel: [    7.710429] sr 0:0:0:0: [sr0] Sense Key : Medium Error [current] 
Mar 20 21:57:32 kernel: [    7.716198] sr 0:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
Mar 20 21:57:32 kernel: [    7.722110] end_request: I/O error, dev sr0, sector 45712
Mar 20 21:57:32 kernel: [    7.727934] Buffer I/O error on device sr0, logical block 11428
...
Mar 20 21:57:32 kernel: [    9.394691] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
Mar 20 21:57:32 kernel: [    9.401118] sr 0:0:0:0: [sr0] Sense Key : Medium Error [current] 
Mar 20 21:57:32 kernel: [    9.407622] sr 0:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
Mar 20 21:57:32 kernel: [    9.414009] end_request: I/O error, dev sr0, sector 45712
Mar 20 21:57:32 kernel: [    9.420386] Buffer I/O error on device sr0, logical block 11428
Mar 20 21:57:32 kernel: [   10.864657] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
Mar 20 21:57:32 kernel: [   10.871199] sr 0:0:0:0: [sr0] Sense Key : Medium Error [current] 
Mar 20 21:57:32 kernel: [   10.877661] sr 0:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
Mar 20 21:57:32 kernel: [   10.884132] end_request: I/O error, dev sr0, sector 45712
Mar 20 21:57:32 kernel: [   10.890609] Buffer I/O error on device sr0, logical block 11428
...

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Tue, 24 Mar 2009 08:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 24 Mar 2009 08:21:02 GMT) Full text and rfc822 format available.

Message #95 received at 514055@bugs.debian.org (full text, mbox):

From: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
To: Geoff Levand <geoffrey.levand@am.sony.com>
Cc: Wouter Verhelst <w@uter.be>, Wartan Hachaturow <wart@altlinux.org>, Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Tue, 24 Mar 2009 09:19:13 +0100 (CET)
On Mon, 23 Mar 2009, Geoff Levand wrote:
> On 03/22/2009 10:45 AM, Geoff Levand wrote:
> > On 03/21/2009 10:38 AM, Wouter Verhelst wrote:
> >> On Fri, Mar 20, 2009 at 04:40:51PM -0700, Geoff Levand wrote:
> >>> 1) At boot there were some kernel I/O errors about /dev/sr0.
> >> 
> >> That is the BD drive. Did you have a disc in the drive at that point?
> >> If so, what kind of disc?
> > 
> > The mini.iso installer, a CD-ROM.
> 
> Here are the messages.
> 
> Geert, any idea about them?
> 
> Mar 20 21:57:32 kernel: [    5.399309] Driver 'sr' needs updating - please use bus_type methods
> Mar 20 21:57:32 kernel: [    5.426872] sr0: scsi3-mmc drive: 0x/0x cd/rw xa/form2 cdda tray
> Mar 20 21:57:32 kernel: [    5.433191] Uniform CD-ROM driver Revision: 3.20
> Mar 20 21:57:32 kernel: [    5.433678] sr 0:0:0:0: Attached scsi CD-ROM sr0
> Mar 20 21:57:32 kernel: [    5.457911] sr 0:0:0:0: Attached scsi generic sg0 type 5
> ...
> Mar 20 21:57:32 kernel: [    7.704702] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
> Mar 20 21:57:32 kernel: [    7.710429] sr 0:0:0:0: [sr0] Sense Key : Medium Error [current] 
                                                                       ^^^^^^^^^^^^
> Mar 20 21:57:32 kernel: [    7.716198] sr 0:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
                                                                       ^^^^^^^^^^^^^^^^^^^^^^^^

Damaged CD? Is it dirty? Scratches? Can you read it somewhere else?

> Mar 20 21:57:32 kernel: [    7.722110] end_request: I/O error, dev sr0, sector 45712
> Mar 20 21:57:32 kernel: [    7.727934] Buffer I/O error on device sr0, logical block 11428

That's ca. 22 MiB inside the image. How large is mini.iso?

With kind regards,

Geert Uytterhoeven
Software Architect

Sony Techsoft Centre Europe
The Corporate Village · Da Vincilaan 7-D1 · B-1935 Zaventem · Belgium

Phone:    +32 (0)2 700 8453
Fax:      +32 (0)2 700 8622
E-mail:   Geert.Uytterhoeven@sonycom.com
Internet: http://www.sony-europe.com/

A division of Sony Europe (Belgium) N.V.
VAT BE 0413.825.160 · RPR Brussels
Fortis · BIC GEBABEBB · IBAN BE41293037680010




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Tue, 24 Mar 2009 08:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 24 Mar 2009 08:27:02 GMT) Full text and rfc822 format available.

Message #100 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@altlinux.org>
To: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, Wouter Verhelst <w@uter.be>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Tue, 24 Mar 2009 11:24:19 +0300
On Tue, Mar 24, 2009 at 11:19 AM, Geert Uytterhoeven >> Mar 20
21:57:32 kernel: [    7.727934] Buffer I/O error on device sr0,
logical block 11428
>
> That's ca. 22 MiB inside the image. How large is mini.iso?

22 megs, that's just the installer.

-- 
Regards, Wartan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Tue, 24 Mar 2009 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 24 Mar 2009 08:30:02 GMT) Full text and rfc822 format available.

Message #105 received at 514055@bugs.debian.org (full text, mbox):

From: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
To: Wartan Hachaturow <wart@altlinux.org>
Cc: Wouter Verhelst <w@uter.be>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Tue, 24 Mar 2009 09:26:40 +0100 (CET)
On Tue, 24 Mar 2009, Wartan Hachaturow wrote:
> On Tue, Mar 24, 2009 at 11:19 AM, Geert Uytterhoeven >> Mar 20
> 21:57:32 kernel: [    7.727934] Buffer I/O error on device sr0,
> logical block 11428
> >
> > That's ca. 22 MiB inside the image. How large is mini.iso?
> 
> 22 megs, that's just the installer.

I'm just wondering if this is beyond the end of the written image or not.

With kind regards,

Geert Uytterhoeven
Software Architect

Sony Techsoft Centre Europe
The Corporate Village · Da Vincilaan 7-D1 · B-1935 Zaventem · Belgium

Phone:    +32 (0)2 700 8453
Fax:      +32 (0)2 700 8622
E-mail:   Geert.Uytterhoeven@sonycom.com
Internet: http://www.sony-europe.com/

A division of Sony Europe (Belgium) N.V.
VAT BE 0413.825.160 · RPR Brussels
Fortis · BIC GEBABEBB · IBAN BE41293037680010




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Wed, 25 Mar 2009 21:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sven@powerlinux.fr (Sven Luther):
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 25 Mar 2009 21:12:02 GMT) Full text and rfc822 format available.

Message #110 received at 514055@bugs.debian.org (full text, mbox):

From: sven@powerlinux.fr (Sven Luther)
To: Martin Michlmayr <tbm@cyrius.com>, 514055@bugs.debian.org
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, cbe-oss-dev@ozlabs.org, Wouter Verhelst <wouter@debian.org>
Subject: Re: Bug#514055: debian still not working on PS3
Date: Wed, 25 Mar 2009 22:11:16 +0100
On Fri, Feb 27, 2009 at 07:53:33PM +0100, Martin Michlmayr wrote:
> 
> * Geoff Levand <geoffrey.levand@am.sony.com> [2009-02-26 09:43]:
> > I just tried the latest testing CD (2000.02.12), and it still
> > fails with the same problem I reported for Lenny DI RC2.  The
> > installer fails on mounting the CD-ROM.
> > 
> > The PS3 ps3_gelic network and PS3 ps3rom and ps3disk storage
> > drivers are missing from the installer's initrd.
> > 
> > I entered a bug report that went unanswered here:
> 
> The short answer is that there isn't really an active powerpc porter
> working on the installer.  That's why your bug report is unanswered.
> I'm copying Wouter Verhelst who indicated some interest in helping
> with the powerpc port.

And you have only yourself to thank for this.

Martin, don't you think that after three year, it is not time that you
tried to make up for the damage you have caused ? 	

Sadly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 27 Mar 2009 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 27 Mar 2009 10:48:02 GMT) Full text and rfc822 format available.

Message #115 received at 514055@bugs.debian.org (full text, mbox):

From: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
To: Wouter Verhelst <w@uter.be>
Cc: Geoff Levand <geoffrey.levand@am.sony.com>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Wartan Hachaturow <wart@altlinux.org>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Fri, 27 Mar 2009 11:43:44 +0100 (CET)
On Sun, 22 Mar 2009, Wouter Verhelst wrote:
> On Sun, Mar 22, 2009 at 10:45:25AM -0700, Geoff Levand wrote:
> > On 03/21/2009 10:38 AM, Wouter Verhelst wrote:
> > > Hrm. Does the PS3 boot with yaboot? If so, you should have been able to
> > > select yaboot, and have it be installed to the system. That should also
> > > have created your yaboot.conf.
> > 
> > PS3 uses petitboot (http://ozlabs.org/~jk/projects/petitboot/).
> > It is a kexec based bootloader which can read kboot.conf and
> > yaboot.conf files.
> > 
> > Due to the way the PS3 boots, the user must install a bootloader
> > to flash memory before they can load a distro's installer.
> > 
> > I'll try the yaboot install and see what happens.  Is it possible
> > to arrange for the installer to just create the yaboot.conf
> > without installing yaboot?
> 
> No, that won't work. I simply wasn't aware of the particular way in
> which the PS3 is booted.
> 
> I see that petitboot is free software. In that case, we should be able
> to at least put it on the CD images.

Yes, it's free software. It's a Linux kernel with a small userland that kexecs
the chosen kernel image.

Note that you can do without a bootloader, and put your kernel directly in the
FLASH ROM, if it has the correct builtin command line to mount your root
file system. But a bootloader is more convenient.

> Is it possible to install or update the flash booter from Linux, or can
> one only do that from the PS3 builtin operating system?

You can install/update the bootloader from Linux, using
`ps3-flash-util -w <bootloader>'.

However, the initial install must be done under PS3 GameOS, as you need the
bootloader to boot Linux. GameOS looks for the file ps3/otheros/otheros.bld
on any of the storage devices. So if you would put it on the PowerPC install
CD, the users would have everything in one place.

With kind regards,

Geert Uytterhoeven
Software Architect

Sony Techsoft Centre Europe
The Corporate Village · Da Vincilaan 7-D1 · B-1935 Zaventem · Belgium

Phone:    +32 (0)2 700 8453
Fax:      +32 (0)2 700 8622
E-mail:   Geert.Uytterhoeven@sonycom.com
Internet: http://www.sony-europe.com/

A division of Sony Europe (Belgium) N.V.
VAT BE 0413.825.160 · RPR Brussels
Fortis · BIC GEBABEBB · IBAN BE41293037680010




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 16 Apr 2009 20:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 16 Apr 2009 20:27:02 GMT) Full text and rfc822 format available.

Message #120 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wartan Hachaturow <wart@altlinux.org>
Cc: Wouter Verhelst <w@uter.be>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Thu, 16 Apr 2009 13:23:35 -0700
Hi Wartan,

On 03/22/2009 01:46 PM, Wartan Hachaturow wrote:
> On Sun, Mar 22, 2009 at 10:25 PM, Wouter Verhelst <w@uter.be> wrote:
>>> I'll continue working on this stuff, this was just a test image to make sure
>>> kernel modules were loaded fine.

>> If you have patches, I can help you get them into d-i proper.
> 
> Well, I've got commit rights in d-i's svn ;)

I just tried the latest d-i testing image (16-Apr-2009 17:59),
but it still fails with this CD-ROM drivers not found problem.

Did these changes get committed?  If not, could you please commit
them, or post what you have so Wouter can do that?

Thanks.

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Tue, 21 Apr 2009 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 21 Apr 2009 20:03:06 GMT) Full text and rfc822 format available.

Message #125 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@altlinux.org>
To: Geoff Levand <geoffrey.levand@am.sony.com>
Cc: Wartan Hachaturow <wart@altlinux.org>, Wouter Verhelst <w@uter.be>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: Bug#514055: debian still not working on PS3
Date: Wed, 22 Apr 2009 00:00:09 +0400
On Thu, Apr 16, 2009 at 01:23:35PM -0700, Geoff Levand wrote:

> Did these changes get committed?  If not, could you please commit
> them, or post what you have so Wouter can do that?

I have commited them a while ago. We've had problems with daily-built images, so
the ones you tried were actually quite old :) It is currently being fixed, so
the recent ones should include the changes.

-- 
Regards, Vartan.
"Be different: conform."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Wed, 22 Apr 2009 02:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to <thegame4121982@msn.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 22 Apr 2009 02:36:02 GMT) Full text and rfc822 format available.

Message #130 received at 514055@bugs.debian.org (full text, mbox):

From: <thegame4121982@msn.com>
To: "Wartan Hachaturow" <wart@altlinux.org>, "Geoff Levand" <geoffrey.levand@am.sony.com>
Cc: "Wouter Verhelst" <w@uter.be>, <514055@bugs.debian.org>, "Martin Michlmayr" <tbm@cyrius.com>, "Wartan Hachaturow" <wart@altlinux.org>, <cbe-oss-dev@ozlabs.org>
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Tue, 21 Apr 2009 22:34:34 -0400
This is great news. Is this only for the testing version of Debian codename 
squeeze or will this fix also be included in the next point release of 
Debian Lenny?  Last time I tried to do an install of Debian using the Debian 
CD for powerpc, it would not install because the installer was missing the 
drivers for the optical drive, hard drive, and network card as far as I 
know.

--------------------------------------------------
From: "Wartan Hachaturow" <wart@altlinux.org>
Sent: Tuesday, April 21, 2009 4:00 PM
To: "Geoff Levand" <geoffrey.levand@am.sony.com>
Cc: "Wouter Verhelst" <w@uter.be>; <514055@bugs.debian.org>; "Martin 
Michlmayr" <tbm@cyrius.com>; "Wartan Hachaturow" <wart@altlinux.org>; 
<cbe-oss-dev@ozlabs.org>
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3

> On Thu, Apr 16, 2009 at 01:23:35PM -0700, Geoff Levand wrote:
>
>> Did these changes get committed?  If not, could you please commit
>> them, or post what you have so Wouter can do that?
>
> I have commited them a while ago. We've had problems with daily-built 
> images, so
> the ones you tried were actually quite old :) It is currently being fixed, 
> so
> the recent ones should include the changes.
>
> -- 
> Regards, Vartan.
> "Be different: conform."
> _______________________________________________
> cbe-oss-dev mailing list
> cbe-oss-dev@ozlabs.org
> https://ozlabs.org/mailman/listinfo/cbe-oss-dev
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 23 Apr 2009 08:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Apr 2009 08:57:03 GMT) Full text and rfc822 format available.

Message #135 received at 514055@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: thegame4121982@msn.com
Cc: Wartan Hachaturow <wart@altlinux.org>, Geoff Levand <geoffrey.levand@am.sony.com>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Thu, 23 Apr 2009 10:54:59 +0200
On Tue, Apr 21, 2009 at 10:34:34PM -0400, thegame4121982@msn.com wrote:
> This is great news. Is this only for the testing version of Debian 
> codename squeeze or will this fix also be included in the next point 
> release of Debian Lenny?

It will not be included in the next point release. However, it might be
included as part of the planned 'lenny and a half' release where a new
kernel and installer will be provided, to support new hardware.

Before that can happen, however, testing will be necessary.

You can find the daily builds here:

http://people.debian.org/~wouter/d-i/powerpc/

-- 
The biometric identification system at the gates of the CIA headquarters
works because there's a guard with a large gun making sure no one is
trying to fool the system.
  http://www.schneier.com/blog/archives/2009/01/biometrics.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 23 Apr 2009 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norberto Feliberty <thegame4121982@msn.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Apr 2009 19:33:03 GMT) Full text and rfc822 format available.

Message #140 received at 514055@bugs.debian.org (full text, mbox):

From: Norberto Feliberty <thegame4121982@msn.com>
To: <w@uter.be>
Cc: <wart@altlinux.org>, "geoffrey.levand@am.sony.com" <geoffrey.levand@am.sony.com>, <514055@bugs.debian.org>, <tbm@cyrius.com>, Linux Cell <cbe-oss-dev@ozlabs.org>
Subject: RE: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Thu, 23 Apr 2009 15:30:29 -0400
[Message part 1 (text/plain, inline)]




 

Norberto




> Date: Thu, 23 Apr 2009 10:54:59 +0200
> From: w@uter.be
> To: thegame4121982@msn.com
> CC: wart@altlinux.org; geoffrey.levand@am.sony.com; 514055@bugs.debian.org; tbm@cyrius.com; cbe-oss-dev@ozlabs.org
> Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
> 
> On Tue, Apr 21, 2009 at 10:34:34PM -0400, thegame4121982@msn.com wrote:
> > This is great news. Is this only for the testing version of Debian 
> > codename squeeze or will this fix also be included in the next point 
> > release of Debian Lenny?
> 
> It will not be included in the next point release. However, it might be
> included as part of the planned 'lenny and a half' release where a new
> kernel and installer will be provided, to support new hardware.
> 
> Before that can happen, however, testing will be necessary.
> 
> You can find the daily builds here:
> 
> http://people.debian.org/~wouter/d-i/powerpc/
> 
> -- 
> The biometric identification system at the gates of the CIA headquarters
> works because there's a guard with a large gun making sure no one is
> trying to fool the system.
>   http://www.schneier.com/blog/archives/2009/01/biometrics.html

Hi thanks for the information. I have looked through the daily builds
and it seems the latest build I have come across was the one from April
20th with a folder for today April 23rd but no images for today? Is
this correct or am I not looking in the right place? Thanks.


_________________________________________________________________
Windows Live™ SkyDrive™: Get 25 GB of free online storage.  
http://windowslive.com/online/skydrive?ocid=TXT_TAGLM_WL_skydrive_042009
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 01 May 2009 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norberto Feliberty <thegame4121982@msn.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 01 May 2009 01:39:03 GMT) Full text and rfc822 format available.

Message #145 received at 514055@bugs.debian.org (full text, mbox):

From: Norberto Feliberty <thegame4121982@msn.com>
To: <w@uter.be>
Cc: <wart@altlinux.org>, "geoffrey.levand@am.sony.com" <geoffrey.levand@am.sony.com>, <514055@bugs.debian.org>, <tbm@cyrius.com>, Linux Cell <cbe-oss-dev@ozlabs.org>
Subject: RE: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Thu, 30 Apr 2009 21:36:13 -0400
[Message part 1 (text/plain, inline)]




 

Norberto




> Date: Thu, 23 Apr 2009 10:54:59 +0200
> From: w@uter.be
> To: thegame4121982@msn.com
> CC: wart@altlinux.org; geoffrey.levand@am.sony.com; 514055@bugs.debian.org; tbm@cyrius.com; cbe-oss-dev@ozlabs.org
> Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
> 
> On Tue, Apr 21, 2009 at 10:34:34PM -0400, thegame4121982@msn.com wrote:
> > This is great news. Is this only for the testing version of Debian 
> > codename squeeze or will this fix also be included in the next point 
> > release of Debian Lenny?
> 
> It will not be included in the next point release. However, it might be
> included as part of the planned 'lenny and a half' release where a new
> kernel and installer will be provided, to support new hardware.
> 
> Before that can happen, however, testing will be necessary.
> 
> You can find the daily builds here:
> 
> http://people.debian.org/~wouter/d-i/powerpc/
> 
> -- 
> The biometric identification system at the gates of the CIA headquarters
> works because there's a guard with a large gun making sure no one is
> trying to fool the system.
>   http://www.schneier.com/blog/archives/2009/01/biometrics.html


Hello I have downloaded the daily build from 04-30-09  and I let it get as far as setting up the partitions. I am happy to see that the installer now detects the netwrok card and the hard drive. I would like to continue with the installation to see if I will get a successful debian install using the build but I do not want to loose my current installation. Is it in any way posible to test   other installation while at the same time keeping my current installation? Thanks.

_________________________________________________________________
Rediscover Hotmail®: Get e-mail storage that grows with you. 
http://windowslive.com/RediscoverHotmail?ocid=TXT_TAGLM_WL_HM_Rediscover_Storage2_042009
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 01 May 2009 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 01 May 2009 22:33:03 GMT) Full text and rfc822 format available.

Message #150 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wouter Verhelst <w@uter.be>
Cc: thegame4121982@msn.com, Wartan Hachaturow <wart@altlinux.org>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Fri, 1 May 2009 15:18:58 -0700
On 04/23/2009 01:54 AM, Wouter Verhelst wrote:
> On Tue, Apr 21, 2009 at 10:34:34PM -0400, thegame4121982@msn.com wrote:
>> This is great news. Is this only for the testing version of Debian 
>> codename squeeze or will this fix also be included in the next point 
>> release of Debian Lenny?
> 
> It will not be included in the next point release. However, it might be
> included as part of the planned 'lenny and a half' release where a new
> kernel and installer will be provided, to support new hardware.
> 
> Before that can happen, however, testing will be necessary.
> 
> You can find the daily builds here:
> 
> http://people.debian.org/~wouter/d-i/powerpc/


Hi,

I tried today's build (20090430) and the 'CD-ROM driver not found'
problem is fixed:

  http://people.debian.org/~wouter/d-i/powerpc/20090430-22:00/powerpc64/netboot/

I was able to finish the install, but still got the
same other known problems:

(1) At kernel install:

  'No installable kernel was found in the defined APT sources'
  'base-installer: info: could not determine kernel flavor'

It should install the 64 bit powerpc kernel.

(2) At boot loader install:

  'No boot loader has been installed'
  'GRUB not yet usable on PowerPC systems'

It should create a /etc/yaboot.conf on the same partition that the
kernel was installed to, but nothing else is needed.  The petitboot
bootloader can read from vfat, ext2, ext3, and ext4 file systems.

-Geoff






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Sun, 03 May 2009 02:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norberto Feliberty <thegame4121982@msn.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 03 May 2009 02:27:02 GMT) Full text and rfc822 format available.

Message #155 received at 514055@bugs.debian.org (full text, mbox):

From: Norberto Feliberty <thegame4121982@msn.com>
To: "geoffrey.levand@am.sony.com" <geoffrey.levand@am.sony.com>, <w@uter.be>
Cc: <wart@altlinux.org>, <514055@bugs.debian.org>, <tbm@cyrius.com>, Linux Cell <cbe-oss-dev@ozlabs.org>
Subject: RE: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Sat, 2 May 2009 22:25:46 -0400
[Message part 1 (text/plain, inline)]
Also the network configuration fails if you try to configure it using the wireless interface.   I also tested the build from 04-30-09 and like yourself I too ran into the problem with the installer not knowing which kerenl to install even though at the beginning of the installer when it was retrieving components, it was retrieving  the 2.6.29 powerpc64 kernel. I though I ran into this issue because i opted to use the netinstall from 04-30 instead of the mini.iso from 04-27 but now I am not so sure. 



 

Norberto




> Date: Fri, 1 May 2009 15:18:58 -0700
> From: geoffrey.levand@am.sony.com
> To: w@uter.be
> CC: thegame4121982@msn.com; wart@altlinux.org; 514055@bugs.debian.org; tbm@cyrius.com; cbe-oss-dev@ozlabs.org
> Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
> 
> On 04/23/2009 01:54 AM, Wouter Verhelst wrote:
> > On Tue, Apr 21, 2009 at 10:34:34PM -0400, thegame4121982@msn.com wrote:
> >> This is great news. Is this only for the testing version of Debian 
> >> codename squeeze or will this fix also be included in the next point 
> >> release of Debian Lenny?
> > 
> > It will not be included in the next point release. However, it might be
> > included as part of the planned 'lenny and a half' release where a new
> > kernel and installer will be provided, to support new hardware.
> > 
> > Before that can happen, however, testing will be necessary.
> > 
> > You can find the daily builds here:
> > 
> > http://people.debian.org/~wouter/d-i/powerpc/
> 
> 
> Hi,
> 
> I tried today's build (20090430) and the 'CD-ROM driver not found'
> problem is fixed:
> 
>   http://people.debian.org/~wouter/d-i/powerpc/20090430-22:00/powerpc64/netboot/
> 
> I was able to finish the install, but still got the
> same other known problems:
> 
> (1) At kernel install:
> 
>   'No installable kernel was found in the defined APT sources'
>   'base-installer: info: could not determine kernel flavor'
> 
> It should install the 64 bit powerpc kernel.
> 
> (2) At boot loader install:
> 
>   'No boot loader has been installed'
>   'GRUB not yet usable on PowerPC systems'
> 
> It should create a /etc/yaboot.conf on the same partition that the
> kernel was installed to, but nothing else is needed.  The petitboot
> bootloader can read from vfat, ext2, ext3, and ext4 file systems.
> 
> -Geoff
> 
> 

_________________________________________________________________
Hotmail® has ever-growing storage! Don’t worry about storage limits.
http://windowslive.com/Tutorial/Hotmail/Storage?ocid=TXT_TAGLM_WL_HM_Tutorial_Storage1_052009
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 28 May 2009 16:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 28 May 2009 16:51:02 GMT) Full text and rfc822 format available.

Message #160 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Wouter Verhelst <w@uter.be>
Cc: thegame4121982@msn.com, Wartan Hachaturow <wart@altlinux.org>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Thu, 28 May 2009 09:39:31 -0700
On 05/01/2009 03:18 PM, Geoff Levand wrote:
> I tried today's build (20090430) and the 'CD-ROM driver not found'
> problem is fixed:
> 
>   http://people.debian.org/~wouter/d-i/powerpc/20090430-22:00/powerpc64/netboot/
> 
> I was able to finish the install, but still got the
> same other known problems:
> 
> (1) At kernel install:
> 
>   'No installable kernel was found in the defined APT sources'
>   'base-installer: info: could not determine kernel flavor'
> 
> (2) At boot loader install:
> 
>   'No boot loader has been installed'
>   'GRUB not yet usable on PowerPC systems'
> 
> It should create a /etc/yaboot.conf on the same partition that the
> kernel was installed to, but nothing else is needed.  The petitboot
> bootloader can read from vfat, ext2, ext3, and ext4 file systems.

Hi,

Could someone familiar with D-I internals give a brief summary of what
needs to be done to fix these two problems. Thanks.

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Fri, 29 May 2009 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wartan Hachaturow <wart@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 29 May 2009 07:21:04 GMT) Full text and rfc822 format available.

Message #165 received at 514055@bugs.debian.org (full text, mbox):

From: Wartan Hachaturow <wart@altlinux.org>
To: Geoff Levand <geoffrey.levand@am.sony.com>
Cc: Wouter Verhelst <w@uter.be>, thegame4121982@msn.com, Wartan Hachaturow <wart@altlinux.org>, 514055@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, cbe-oss-dev@ozlabs.org
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Fri, 29 May 2009 11:18:04 +0400
On Thu, May 28, 2009 at 09:39:31AM -0700, Geoff Levand wrote:

> Could someone familiar with D-I internals give a brief summary of what
> needs to be done to fix these two problems. Thanks.

I'll fix them myself once I'll get past my summer exams. 

-- 
Regards, Vartan.
"Be different: conform."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Wed, 02 Dec 2009 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 02 Dec 2009 23:48:03 GMT) Full text and rfc822 format available.

Message #170 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: "Levand, Geoffrey" <Geoffrey.Levand@am.sony.com>
Cc: Wouter Verhelst <w@uter.be>, "thegame4121982@msn.com" <thegame4121982@msn.com>, Wartan Hachaturow <wart@altlinux.org>, "514055@bugs.debian.org" <514055@bugs.debian.org>, Martin Michlmayr <tbm@cyrius.com>, "cbe-oss-dev@ozlabs.org" <cbe-oss-dev@ozlabs.org>
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Wed, 2 Dec 2009 15:25:45 -0800
On 05/28/2009 09:39 AM, Levand, Geoffrey wrote:
> On 05/01/2009 03:18 PM, Geoff Levand wrote:
>> I tried today's build (20090430) and the 'CD-ROM driver not found'
>> problem is fixed:
>> 
>>   http://people.debian.org/~wouter/d-i/powerpc/20090430-22:00/powerpc64/netboot/
>> 
>> I was able to finish the install, but still got the
>> same other known problems:
>> 
>> (1) At kernel install:
>> 
>>   'No installable kernel was found in the defined APT sources'
>>   'base-installer: info: could not determine kernel flavor'
>> 
>> (2) At boot loader install:
>> 
>>   'No boot loader has been installed'
>>   'GRUB not yet usable on PowerPC systems'
>> 
>> It should create a /etc/yaboot.conf on the same partition that the
>> kernel was installed to, but nothing else is needed.  The petitboot
>> bootloader can read from vfat, ext2, ext3, and ext4 file systems.
> 
> Hi,
> 
> Could someone familiar with D-I internals give a brief summary of what
> needs to be done to fix these two problems. Thanks.

I tried the sid installer build today:

  http://cdimage.debian.org/cdimage/daily-builds/sid_d-i/arch-latest/powerpc/iso-cd/

but there were no ps3 drivers in the image.

What needs to be done to get those drivers included?

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Wed, 02 Dec 2009 23:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 02 Dec 2009 23:51:11 GMT) Full text and rfc822 format available.

Message #175 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: "Levand, Geoffrey" <Geoffrey.Levand@am.sony.com>
Cc: Wouter Verhelst <w@uter.be>, "thegame4121982@msn.com" <thegame4121982@msn.com>, Wartan Hachaturow <wart@altlinux.org>, "514055@bugs.debian.org" <514055@bugs.debian.org>, Martin Michlmayr <tbm@cyrius.com>, "cbe-oss-dev@ozlabs.org" <cbe-oss-dev@ozlabs.org>
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Wed, 2 Dec 2009 15:50:24 -0800
On 12/02/2009 03:25 PM, Levand, Geoffrey wrote:
> On 05/28/2009 09:39 AM, Levand, Geoffrey wrote:
>> On 05/01/2009 03:18 PM, Geoff Levand wrote:
>>> I tried today's build (20090430) and the 'CD-ROM driver not found'
>>> problem is fixed:
>>> 
>>>   http://people.debian.org/~wouter/d-i/powerpc/20090430-22:00/powerpc64/netboot/
>>> 
>>> I was able to finish the install, but still got the
>>> same other known problems:
>>> 
>>> (1) At kernel install:
>>> 
>>>   'No installable kernel was found in the defined APT sources'
>>>   'base-installer: info: could not determine kernel flavor'
>>> 
>>> (2) At boot loader install:
>>> 
>>>   'No boot loader has been installed'
>>>   'GRUB not yet usable on PowerPC systems'
>>> 
>>> It should create a /etc/yaboot.conf on the same partition that the
>>> kernel was installed to, but nothing else is needed.  The petitboot
>>> bootloader can read from vfat, ext2, ext3, and ext4 file systems.
>> 
>> Hi,
>> 
>> Could someone familiar with D-I internals give a brief summary of what
>> needs to be done to fix these two problems. Thanks.
> 
> I tried the sid installer build today:
> 
>   http://cdimage.debian.org/cdimage/daily-builds/sid_d-i/arch-latest/powerpc/iso-cd/
> 
> but there were no ps3 drivers in the image.
> 
> What needs to be done to get those drivers included?

After some searching, I found this commit that seems it should add the drivers:

http://svn.debian.org/viewsvn/d-i/trunk/packages/kernel/linux-kernel-di-powerpc-2.6/modules/powerpc-powerpc64/scsi-extra-modules?r1=48552&r2=57888

That change doesn't seem to be in the daily build I tested though.  Can anyone explain?

-Goeff






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 03 Dec 2009 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norberto Feliberty <thegame4121982@msn.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 03 Dec 2009 01:36:03 GMT) Full text and rfc822 format available.

Message #180 received at 514055@bugs.debian.org (full text, mbox):

From: Norberto Feliberty <thegame4121982@msn.com>
To: "geoffrey.levand@am.sony.com" <geoffrey.levand@am.sony.com>
Cc: <w@uter.be>, <wart@altlinux.org>, <514055@bugs.debian.org>, <tbm@cyrius.com>, Linux Cell <cbe-oss-dev@ozlabs.org>
Subject: RE: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Wed, 2 Dec 2009 20:32:15 -0500
[Message part 1 (text/plain, inline)]



 

Norberto




> Date: Wed, 2 Dec 2009 15:50:24 -0800
> From: geoffrey.levand@am.sony.com
> To: Geoffrey.Levand@am.sony.com
> CC: w@uter.be; thegame4121982@msn.com; wart@altlinux.org; 514055@bugs.debian.org; tbm@cyrius.com; cbe-oss-dev@ozlabs.org
> Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
> 
> On 12/02/2009 03:25 PM, Levand, Geoffrey wrote:
> > On 05/28/2009 09:39 AM, Levand, Geoffrey wrote:
> >> On 05/01/2009 03:18 PM, Geoff Levand wrote:
> >>> I tried today's build (20090430) and the 'CD-ROM driver not found'
> >>> problem is fixed:
> >>> 
> >>>   http://people.debian.org/~wouter/d-i/powerpc/20090430-22:00/powerpc64/netboot/
> >>> 
> >>> I was able to finish the install, but still got the
> >>> same other known problems:
> >>> 
> >>> (1) At kernel install:
> >>> 
> >>>   'No installable kernel was found in the defined APT sources'
> >>>   'base-installer: info: could not determine kernel flavor'
> >>> 
> >>> (2) At boot loader install:
> >>> 
> >>>   'No boot loader has been installed'
> >>>   'GRUB not yet usable on PowerPC systems'
> >>> 
> >>> It should create a /etc/yaboot.conf on the same partition that the
> >>> kernel was installed to, but nothing else is needed.  The petitboot
> >>> bootloader can read from vfat, ext2, ext3, and ext4 file systems.
> >> 
> >> Hi,
> >> 
> >> Could someone familiar with D-I internals give a brief summary of what
> >> needs to be done to fix these two problems. Thanks.
> > 
> > I tried the sid installer build today:
> > 
> >   http://cdimage.debian.org/cdimage/daily-builds/sid_d-i/arch-latest/powerpc/iso-cd/
> > 
> > but there were no ps3 drivers in the image.
> > 
> > What needs to be done to get those drivers included?
> 
> After some searching, I found this commit that seems it should add the drivers:
> 
> http://svn.debian.org/viewsvn/d-i/trunk/packages/kernel/linux-kernel-di-powerpc-2.6/modules/powerpc-powerpc64/scsi-extra-modules?r1=48552&r2=57888
> 
> That change doesn't seem to be in the daily build I tested though.  Can anyone explain?
> 
> -Goeff
> 
> 


hello, while the changes may have not been committed to cd or dvd media, the changes are in place for the netboot images. I tried the netboot image anywhere between the 10th and 20th of november. I can't recall the exact date but It was a squeeze build. I had no problems with the installation execpt that it couldn't install or find the correct kernel to install. As a result, no kernel was installed. It should install the linux-2.6-powerpc64 kernel package. The installation completes successfully otherwise.  After this, I have to revert to using kboot because I have to enter custom command to boot the newly installed system from usb stick. Then I can proceed to install the linux-image-2.6-powerpc64 package and create yaboot.conf to boot the system normally. I downloaded the dvd powerpc weekly build from nov 30 and see how that goes. The strangest thing about debian is that once it is installed, it runs very well better than ubuntu on the ps3 in my opinion.  The thing is that ubuntu has support for the ps3 while debian doesn't officialy support installation on the ps3. 
 		 	   		  
_________________________________________________________________
Chat with Messenger straight from your Hotmail inbox.
http://www.microsoft.com/windows/windowslive/hotmail_bl1/hotmail_bl1.aspx?ocid=PID23879::T:WLMTAGL:ON:WL:en-ww:WM_IMHM_4:092009
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 03 Dec 2009 01:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 03 Dec 2009 01:54:06 GMT) Full text and rfc822 format available.

Message #185 received at 514055@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoffrey.levand@am.sony.com>
To: Norberto Feliberty <thegame4121982@msn.com>
Cc: "w@uter.be" <w@uter.be>, "wart@altlinux.org" <wart@altlinux.org>, "514055@bugs.debian.org" <514055@bugs.debian.org>, "tbm@cyrius.com" <tbm@cyrius.com>, Linux Cell <cbe-oss-dev@ozlabs.org>
Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Wed, 2 Dec 2009 17:35:35 -0800
On 12/02/2009 05:32 PM, Norberto Feliberty wrote:

> hello, while the changes may have not been committed to cd or dvd media,
> the changes are in place for the netboot images. I tried the netboot
> image anywhere between the 10th and 20th of november. I can't recall the
> exact date but It was a squeeze build. 

Could you please let me know the URL where you downloaded the netboot image?

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#514055; Package installation-reports. (Thu, 03 Dec 2009 03:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norberto Feliberty <thegame4121982@msn.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 03 Dec 2009 03:57:02 GMT) Full text and rfc822 format available.

Message #190 received at 514055@bugs.debian.org (full text, mbox):

From: Norberto Feliberty <thegame4121982@msn.com>
To: "geoffrey.levand@am.sony.com" <geoffrey.levand@am.sony.com>
Cc: <w@uter.be>, <wart@altlinux.org>, <514055@bugs.debian.org>, <tbm@cyrius.com>, Linux Cell <cbe-oss-dev@ozlabs.org>
Subject: RE: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
Date: Wed, 2 Dec 2009 22:54:59 -0500
[Message part 1 (text/plain, inline)]




 

Norberto




> Date: Wed, 2 Dec 2009 17:35:35 -0800
> From: geoffrey.levand@am.sony.com
> To: thegame4121982@msn.com
> CC: w@uter.be; wart@altlinux.org; 514055@bugs.debian.org; tbm@cyrius.com; cbe-oss-dev@ozlabs.org
> Subject: Re: [Cbe-oss-dev] Bug#514055: debian still not working on PS3
> 
> On 12/02/2009 05:32 PM, Norberto Feliberty wrote:
> 
> > hello, while the changes may have not been committed to cd or dvd media,
> > the changes are in place for the netboot images. I tried the netboot
> > image anywhere between the 10th and 20th of november. I can't recall the
> > exact date but It was a squeeze build. 
> 
> Could you please let me know the URL where you downloaded the netboot image?
> 
> -Geoff
> 


Sure here's the link these  images seem to be made on a daily basis.   http://d-i.debian.org/daily-images/powerpc/daily/powerpc64/netboot/ 
 		 	   		  
_________________________________________________________________
Windows 7: Unclutter your desktop. Learn more.
http://www.microsoft.com/windows/windows-7/videos-tours.aspx?h=7sec&slideid=1&media=aero-shake-7second&listid=1&stop=1&ocid=PID24727::T:WLMTAGL:ON:WL:en-US:WWL_WIN_7secdemo:122009
[Message part 2 (text/html, inline)]

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Wed, 17 Jul 2013 17:45:11 GMT) Full text and rfc822 format available.

Notification sent to Geoff Levand <geoffrey.levand@am.sony.com>:
Bug acknowledged by developer. (Wed, 17 Jul 2013 17:45:12 GMT) Full text and rfc822 format available.

Message #195 received at 514055-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 584995-done@bugs.debian.org, 585045-done@bugs.debian.org, 579576-done@bugs.debian.org, 571473-done@bugs.debian.org, 563130-done@bugs.debian.org, 559679-done@bugs.debian.org, 551280-done@bugs.debian.org, 524674-done@bugs.debian.org, 523342-done@bugs.debian.org, 520443-done@bugs.debian.org, 511592-done@bugs.debian.org, 513976-done@bugs.debian.org, 514055-done@bugs.debian.org, 514813-done@bugs.debian.org, 514994-done@bugs.debian.org, 515163-done@bugs.debian.org, 516153-done@bugs.debian.org
Subject: closing old installation-reports from lenny
Date: Wed, 17 Jul 2013 19:41:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

thank you for your installation-report you send quite some time ago.

Quite probably your issue has been addressed by now, if it hasn't please open 
a new bug report, so that we can re-investigate the issue.


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Aug 2013 07:31:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:50:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.